//
//  LoginViewController.m
//  Palmwms
//
//  Created by 曹云霄 on 16/8/24.
//  Copyright © 2016年 上海勾芒科技有限公司. All rights reserved.
//

#import "LoginViewController.h"

@interface LoginViewController ()<UITextFieldDelegate>

@end

@implementation LoginViewController

- (void)viewDidDisappear:(BOOL)animated
{
    [UIApplication sharedApplication].statusBarHidden = NO;
}

- (void)viewDidLoad {
    [super viewDidLoad];
    
    [self uiConfigAction];
    [self ShowProgressView:0.8];
}

#pragma mark - UI
- (void)uiConfigAction
{
    [self.loginButton addCorners];
    [self.userNameTextField becomeFirstResponder];
    [self.userNameTextField addTarget:self action:@selector(userNameTextFieldInput:) forControlEvents:UIControlEventEditingDidBegin | UIControlEventEditingChanged];
    [self.passWordTextField addTarget:self action:@selector(userNameTextFieldInput:) forControlEvents:UIControlEventEditingDidBegin | UIControlEventEditingChanged];
    [self.loginButton addTarget:self action:@selector(loginButtonClickAction:) forControlEvents:UIControlEventTouchUpInside];
}

#pragma mark - 检测实时输入
- (void)userNameTextFieldInput:(UITextField *)textField
{
    [self changeColor:textField];
}

#pragma mark - 改变颜色
- (void)changeColor:(UITextField *)textField
{
    BOOL boolValueOne = [self.userNameTextField.text length];
    boolValueOne?NO:(boolValueOne = [textField isEqual:self.userNameTextField]);
    BOOL boolValueTwo = [self.passWordTextField.text length];
    boolValueTwo?NO:(boolValueTwo = [textField isEqual:self.passWordTextField]);
    self.userNameLine.backgroundColor = boolValueOne?MainColor:[UIColor lightGrayColor];
    self.userNameTitle.textColor = boolValueOne?MainColor:[UIColor lightGrayColor];
    self.passWordLine.backgroundColor = boolValueTwo?MainColor:[UIColor lightGrayColor];
    self.passwordTitle.textColor = boolValueTwo?MainColor:[UIColor lightGrayColor];
    if (boolValueOne && boolValueTwo && [self.passWordTextField.text length] && [self.userNameTextField.text length]) {
        self.loginButton.backgroundColor = MainColor;
        self.loginButton.enabled = YES;
    }else
    {
        self.loginButton.backgroundColor = [UIColor lightGrayColor];
        self.loginButton.enabled = NO;
    }
}

#pragma mark - <UITextFieldDelegate>
- (void)textFieldDidEndEditing:(UITextField *)textField
{
    [self changeColor:[UITextField new]];
}

#pragma mark - 确认登陆
- (void)loginButtonClickAction:(UIButton *)sender
{
    NSDictionary *dict = [NSDictionary dictionaryWithObjectsAndKeys:self.userNameTextField.text,@"username",self.passWordTextField.text,@"password", nil];
    NSLog(@"%@",SERVERREQUESTURL(LOGIN));
    [[NetworkRequestClassManager Manager] NetworkWithDictionaryRequestWithURL:SERVERREQUESTURL(LOGIN) WithRequestType:0 WithParameter:dict WithReturnValueBlock:^(id returnValue) {
        
        NSLog(@"%@",returnValue);
        if ([returnValue[@"code"] isEqualToNumber:@0]) {
            NSDictionary *driver = returnValue[@"data"][@"driver"];
            UserInforMation *user = [UserInforMation manager];
            user.userName = driver[@"name"];
            user.userCode = driver[@"code"];
            user.userUUid = driver[@"id"];
        }else
        {
            
        }
        
    } WithErrorCodeBlock:^(id errorCodeValue) {
        
    } WithFailureBlock:^(NSError *error) {
        NSLog(@"%@",error);
    }];
}


@end
